unit uMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, ieview, imageenview, ExtCtrls, StdCtrls, ComCtrls, hyiedefs, hyieutils, 
  iexBitmaps, iesettings, Buttons, iexLayers, iexRulers, iexActions, iexToolbars;

type
  TForm1 = class(TForm)
    ImageEnViewDest: TImageEnView;
    ImageEnViewSrc: TImageEnView;
    ievR: TImageEnView;
    ievG: TImageEnView;
    ievB: TImageEnView;
    btnOpen: TButton;
    lblOrig: TLabel;
    lblCropInfo: TLabel;
    Label1: TLabel;
    lblRed: TLabel;
    lblGreen: TLabel;
    lblBlue: TLabel;
    btnUpdate: TButton;
    chkAddColor: TCheckBox;
    procedure FormCreate(Sender: TObject);
    procedure btnOpenClick(Sender: TObject);
    procedure btnUpdateClick(Sender: TObject);
    procedure chkAddColorClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}
{$R ImageEnManifest.res}


procedure TForm1.FormCreate(Sender: TObject);
begin
  ievR.BrushTool.BrushSize := 50;
  ievR.MouseInteractGeneral := [ miBrushTool ];
  ievG.BrushTool.BrushSize := 50;
  ievG.MouseInteractGeneral := [ miBrushTool ];
  ievB.BrushTool.BrushSize := 50;
  ievB.MouseInteractGeneral := [ miBrushTool ];
  chkAddColorClick(nil);
end;

procedure TForm1.btnOpenClick(Sender: TObject);
var
  sFilename: string;
begin
  sFilename := ImageEnViewSrc.IO.ExecuteOpenDialog();
  if sFilename = '' then
    exit;

  ImageEnViewSrc.IO.LoadFromFile( sFilename );

  ImageEnViewSrc.Proc.GetRGBChannelAll( ievR.IEBitmap, ievG.IEBitmap, ievB.IEBitmap );
  ievR.Update;
  ievG.Update;
  ievB.Update;

  btnUpdateClick(nil);
end;

procedure TForm1.btnUpdateClick(Sender: TObject);
begin
  ImageEnViewDest.Proc.SetFromRGBChannels( ievR.IEBitmap, ievG.IEBitmap, ievB.IEBitmap );
end;

procedure TForm1.chkAddColorClick(Sender: TObject);
var
  cl: TColor;
begin
  if chkAddColor.checked then
    cl := clWhite
  else
    cl := clBlack;
  ievR.BrushTool.BrushColor := cl;
  ievG.BrushTool.BrushColor := cl;
  ievB.BrushTool.BrushColor := cl;
end;

end.
